.main {
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: flex-start;
  padding: 2rem 1rem;
  gap: 2rem;
  flex-grow: 1;
}

.titleContainer {
  width: 100%;
  max-width: var(--max-width);
  display: flex;
  flex-direction: row;
  align-items: center;
  justify-content: space-between;
  flex-wrap: wrap;
  gap: 2rem;
}

.posts {
  list-style: none;
  padding: 0;
  margin: 0;
  width: 100%;
  display: flex;
  flex-direction: column;
  gap: 1rem;
}

.search {
  width: 100%;
  padding: 1rem;
  border-radius: var(--border-radius);
  border: 2px solid var(--text);
  background-color: var(--background);
  font-size: 1rem;
  font-family: inherit;
  color: var(--text);
}